CUDNN Frontend API 8.3.0

Static Public Attributes | Private Types | List of all members
nlohmann::detail::is_sax< SAX, BasicJsonType > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_sax< SAX, BasicJsonType >:

## Static Public Attributes
static constexpr bool | value

## Private Types
using | number_integer_t = typename BasicJsonType::number_integer_t
using | number_unsigned_t = typename BasicJsonType::number_unsigned_t
using | number_float_t = typename BasicJsonType::number_float_t
using | string_t = typename BasicJsonType::string_t
using | binary_t = typename BasicJsonType::binary_t
using | exception_t = typename BasicJsonType::exception

## Detailed Description

### template<typename SAX, typename BasicJsonType>
struct nlohmann::detail::is_sax< SAX, BasicJsonType >

Definition at line 8117 of file json.hpp.

## Member Typedef Documentation

## ◆ binary_t

template<typename SAX , typename BasicJsonType >

using nlohmann::detail::is_sax< SAX, BasicJsonType >::binary_t = typename BasicJsonType::binary_t
| private

Definition at line 8127 of file json.hpp.

## ◆ exception_t

template<typename SAX , typename BasicJsonType >

using nlohmann::detail::is_sax< SAX, BasicJsonType >::exception_t = typename BasicJsonType::exception
| private

Definition at line 8128 of file json.hpp.

## ◆ number_float_t

template<typename SAX , typename BasicJsonType >

using nlohmann::detail::is_sax< SAX, BasicJsonType >::number_float_t = typename BasicJsonType::number_float_t
| private

Definition at line 8125 of file json.hpp.

## ◆ number_integer_t

template<typename SAX , typename BasicJsonType >

using nlohmann::detail::is_sax< SAX, BasicJsonType >::number_integer_t = typename BasicJsonType::number_integer_t
| private

Definition at line 8123 of file json.hpp.

## ◆ number_unsigned_t

template<typename SAX , typename BasicJsonType >

using nlohmann::detail::is_sax< SAX, BasicJsonType >::number_unsigned_t = typename BasicJsonType::number_unsigned_t
| private

Definition at line 8124 of file json.hpp.

## ◆ string_t

template<typename SAX , typename BasicJsonType >

using nlohmann::detail::is_sax< SAX, BasicJsonType >::string_t = typename BasicJsonType::string_t
| private

Definition at line 8126 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename SAX , typename BasicJsonType >

constexpr bool nlohmann::detail::is_sax< SAX, BasicJsonType >::value
| static

Initial value:
=
is_detected_exact<bool, null_function_t, SAX>::value &&
is_detected_exact<bool, boolean_function_t, SAX>::value &&
is_detected_exact<bool, number_integer_function_t, SAX, number_integer_t>::value &&
is_detected_exact<bool, number_unsigned_function_t, SAX, number_unsigned_t>::value &&
is_detected_exact<bool, number_float_function_t, SAX, number_float_t, string_t>::value &&
is_detected_exact<bool, string_function_t, SAX, string_t>::value &&
is_detected_exact<bool, binary_function_t, SAX, binary_t>::value &&
is_detected_exact<bool, start_object_function_t, SAX>::value &&
is_detected_exact<bool, key_function_t, SAX, string_t>::value &&
is_detected_exact<bool, end_object_function_t, SAX>::value &&
is_detected_exact<bool, start_array_function_t, SAX>::value &&
is_detected_exact<bool, end_array_function_t, SAX>::value &&
is_detected_exact<bool, parse_error_function_t, SAX, exception_t>::value

Definition at line 8131 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp